%define Werror_cflags %nil

Summary:        Recover files based on their headers and footers
Name:           foremost
Version:        1.5.7
Release:        %mkrel 14
Group:          File tools
License:        Public Domain
URL:            https://foremost.sourceforge.net/
Source0:        https://foremost.sourceforge.net/pkg/foremost-%{version}.tar.gz
Patch0:         foremost-broken-jpeg.patch
Patch1:         foremost-fix-permission-timestamp.patch
Patch2:         foremost-1.5.7-format-security.patch
Patch3:         foremost-1.5.7-gcc10.patch

%description
Foremost is a Linux program to recover files based on their headers and
footers. Foremost can work on image files, such as those generated by
dd, Safeback, Encase, etc, or directly on a drive. The headers and
footers are specified by a configuration file, so you can pick and
choose which headers you want to look for.

%prep
%setup -q
%patch -P 0 -p0
%patch -P 1 -p2
%patch -P 2 -p1
%patch -P 3 -p1

sed -i 's|/usr/local/etc/foremost.conf|%{_sysconfdir}/foremost.conf|' config.c
sed -i 's|^RAW_FLAGS =.*|RAW_FLAGS = %{optflags}|' Makefile

%build
%make_build

%install
chmod 0644 *
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_mandir}/man8

%make_install BIN=%{buildroot}%{_bindir} MAN=%{buildroot}%{_mandir}/man8 CONF=%{buildroot}%{_sysconfdir}

%files
%doc CHANGES README
%{_bindir}/foremost
%{_mandir}/man8/*
%config(noreplace) %{_sysconfdir}/%{name}.conf


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.5.7-14.mga10
+ Revision: 2223134
- Mageia 10 Mass Rebuild

* Tue May 21 2024 daviddavid <daviddavid> 1.5.7-13.mga10
+ Revision: 2065691
- fix sed command
- add fedora patches to fix build with GCC 10

* Tue Mar 15 2022 umeabot <umeabot> 0:1.5.7-12.mga9
+ Revision: 1792900
- Mageia 9 Mass Rebuild

* Fri Aug 21 2020 joequant <joequant> 0:1.5.7-11.mga8
+ Revision: 1617487
- fix gcc10 build

* Thu Feb 13 2020 umeabot <umeabot> 0:1.5.7-10.mga8
+ Revision: 1512324
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0:1.5.7-9.mga7
+ Revision: 1297745
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use make_build

* Mon Feb 01 2016 umeabot <umeabot> 0:1.5.7-8.mga6
+ Revision: 930088
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0:1.5.7-7.mga5
+ Revision: 750152
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0:1.5.7-6.mga5
+ Revision: 679300
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0:1.5.7-5.mga4
+ Revision: 504538
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0:1.5.7-4.mga3
+ Revision: 350780
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jun 09 2011 dams <dams> 0:1.5.7-3.mga3
+ Revision: 102561
- add patch to fix segfaults with broken jpeg

* Sun Jan 09 2011 kharec <kharec> 0:1.5.7-2.mga2
+ Revision: 1319
- imported package foremost


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0:1.5.7-2mdv2011.0
+ Revision: 610741
- rebuild

* Thu Apr 22 2010 Sandro Cazzaniga <kharec@mandriva.org> 0:1.5.7-1mdv2010.1
+ Revision: 537781
- update to 1.5.7

* Tue May 26 2009 Frederik Himpe <fhimpe@mandriva.org> 0:1.5.6-1mdv2010.0
+ Revision: 380016
- update to new version 1.5.6

* Tue Feb 17 2009 Jérôme Soyer <saispo@mandriva.org> 0:1.5.5-1mdv2009.1
+ Revision: 341543
- New upstream release

* Sat Jul 26 2008 Erwan Velu <erwan@mandriva.org> 0:1.5.4-1mdv2009.0
+ Revision: 250079
- 1.5.4

* Tue Jul 22 2008 Thierry Vignaud <tv@mandriva.org> 0:1.5-3mdv2009.0
+ Revision: 240720
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Sep 06 2007 Oden Eriksson <oeriksson@mandriva.com> 0:1.5-1mdv2008.0
+ Revision: 80908
- 1.5


* Thu Mar 08 2007 David Walluck <walluck@mandriva.org> 1.4-1mdv2007.1
+ Revision: 134923
- 1.4
- Import foremost

* Wed May 17 2006 Emmanuel Andry <eandry@mandriva.org> 0:1.2-1mdk
- 1.2

* Mon Feb 13 2006 David Walluck <walluck@mandriva.org> 0:1.1-2mdk
- fix config file location

* Mon Feb 13 2006 David Walluck <walluck@mandriva.org> 0:1.1-1mdk
- 1.1

* Fri Mar 18 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.69-2mdk
- rebuild

